| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
USB_ClassInfo_MS_Host_t Struct Reference
Mass Storage Class Host Mode Driver

## Detailed Description

Mass Storage Class Host Mode Configuration and State Structure.

Class state structure. An instance of this structure should be made within the user application, and passed to each of the Mass Storage class driver functions as the `MSInterfaceInfo` parameter. This stores each Mass Storage interface's configuration and state information.

Definition at line 75 of file MassStorageClassHost.h.

`#include "MassStorageClassHost.h"`

## Data Fields
struct {
uint8_t DataINPipeNumber
bool DataINPipeDoubleBank
uint8_t DataOUTPipeNumber
bool DataOUTPipeDoubleBank
uint8_t PortNumber
} | Config
struct {
bool IsActive
uint8_t InterfaceNumber
uint16_t DataINPipeSize
uint16_t DataOUTPipeSize
uint32_t TransactionTag
} | State

## Field Documentation

struct { ... } Config

Config data for the USB class interface within the device. All elements in this section must be set or the interface will fail to enumerate and operate correctly.

bool DataINPipeDoubleBank

Indicates if the Mass Storage interface's IN data pipe should use double banking.

Definition at line 80 of file MassStorageClassHost.h.

uint8_t DataINPipeNumber

Pipe number of the Mass Storage interface's IN data pipe.

Definition at line 79 of file MassStorageClassHost.h.

uint16_t DataINPipeSize

Size in bytes of the Mass Storage interface's IN data pipe.

Definition at line 97 of file MassStorageClassHost.h.

bool DataOUTPipeDoubleBank

Indicates if the Mass Storage interface's OUT data pipe should use double banking.

Definition at line 83 of file MassStorageClassHost.h.

uint8_t DataOUTPipeNumber

Pipe number of the Mass Storage interface's OUT data pipe.

Definition at line 82 of file MassStorageClassHost.h.

uint16_t DataOUTPipeSize

Size in bytes of the Mass Storage interface's OUT data pipe.

Definition at line 98 of file MassStorageClassHost.h.

uint8_t InterfaceNumber

Interface index of the Mass Storage interface within the attached device.

Definition at line 95 of file MassStorageClassHost.h.

bool IsActive

Indicates if the current interface instance is connected to an attached device, valid after MS_Host_ConfigurePipes() is called and the Host state machine is in the Configured state.

Definition at line 91 of file MassStorageClassHost.h.

uint8_t PortNumber

Port number that this interface is running.

Definition at line 84 of file MassStorageClassHost.h.

struct { ... } State

State data for the USB class interface within the device. All elements in this section may be set to initial values, but may also be ignored to default to sane values when the interface is enumerated.

uint32_t TransactionTag

Current transaction tag for data synchronizing of packets.

Definition at line 100 of file MassStorageClassHost.h.

The documentation for this struct was generated from the following file:

- C:/nxp/v1.03/lpcopen_v1.03/lpcopen/software/LPCUSBLib/Drivers/USB/Class/Host/MassStorageClassHost.h